Skip to main content
POST
/
api
/
v0
/
computers
/
{computerId}
/
refresh
Refresh a computer
curl --request POST \
  --url https://api.factory.ai/api/v0/computers/{computerId}/refresh \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.factory.ai/api/v0/computers/{computerId}/refresh"

headers = {"Authorization": "Bearer <token>"}

response = requests.post(url, headers=headers)

print(response.text)
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.factory.ai/api/v0/computers/{computerId}/refresh', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "configured": 123
}
{
"detail": "<string>",
"status": 123,
"title": "<string>",
"metadata": {}
}
{
"detail": "<string>",
"status": 123,
"title": "<string>",
"metadata": {}
}
{
"detail": "<string>",
"status": 123,
"title": "<string>",
"metadata": {}
}
{
"detail": "<string>",
"status": 123,
"title": "<string>",
"metadata": {}
}

Authorizations

Authorization
string
header
required

Factory API key or JWT token for authentication

Path Parameters

computerId
string
required

Computer ID

Response

Response for status 200

configured
number
required